# $Revision: 1.26 $, $Date: 2010/08/05 20:46:02 $
Summary:	Extensible Binary Meta Language access library
Summary(pl.UTF-8):	Biblioteka dostępu rozszerzalnego metajęzyka binarnego
Name:		libmatroska
Version:	1.0.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.bz2
# Source0-md5:	4efcf3945b17a6f0320cf1aaa326a4de
Patch0:		%{name}-makefile.patch
URL:		http://www.matroska.org/
BuildRequires:	libebml-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska is an extensible open standard Audio/Video container format,
aiming to become the standard of Multimedia Container Formats one day.
It is based on EBML (Extensible Binary Meta Language), a kind of
binary version of XML. This way the significant advantages in terms of
future format extensibility are gained without breaking file support
in old parsers.

%description -l pl.UTF-8
Matroska to rozszerzalny otwarty format kodowania dźwięku i obrazu,
dążący do stania się pewnego dnia standardem formatów zawierających
multimedia. Jest on oparty na EBML (rozszerzalnym metajęzyku
binarnym), binarnym odpowiedniku XML-a. W ten sposób ma on przewagę
nad innymi formatami pod względem przyszłej rozszerzalności przy
jednoczesnym zachowaniu kompatybilności wstecz.

%package devel
Summary:	Header files for matroska library
Summary(pl.UTF-8):	Nagłówki dla biblioteki matroska
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libebml-devel
Requires:	libstdc++-devel

%description devel
Header files for matroska library.

%description devel -l pl.UTF-8
Nagłówki dla biblioteki matroska.

%package static
Summary:	Static version of matroska library
Summary(pl.UTF-8):	Statyczna wersja biblioteki matroska
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of matroska library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki matroska.

%prep
%setup -q
%undos make/linux/Makefile
%patch0 -p1

%build
%{__make} -C make/linux \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	DEBUGFLAGS="%{rpmcflags} %{?debug:-DDEBUG}" \
	LDFLAGS="%{rpmldflags}" \
	LIBEBML_INCLUDE_DIR="%{_includedir}/ebml"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C make/linux install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# prepare docs (with working hyperlinks)
#install -d doc
#cp --parents src/api/index.html src/api/c/index.html doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libmatroska.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatroska.so.2

%files devel
%defattr(644,root,root,755)
##%doc doc/src/api/*
%attr(755,root,root) %{_libdir}/libmatroska.so
%{_libdir}/libmatroska.la
%{_includedir}/matroska

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatroska.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmatroska.spec,v $
Revision 1.26  2010/08/05 20:46:02  glen
- up to 1.0.0, new soname (versioned deps solved via sonames as well)

Revision 1.25  2010/08/05 20:26:48  glen
- package ghost soname symlink

Revision 1.24  2007/02/17 20:19:36  qboosh
- updated to 0.8.1, updated makefile patch

Revision 1.23  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.21  2005/10/21 21:33:48  qboosh
- updated to 0.8.0
- removed obsolete version_define patch - default matroska version is 2 now

Revision 1.20  2005/06/12 19:24:32  qboosh
- updated to 0.7.7, updated makefile patch

Revision 1.19  2005/04/23 23:12:06  qboosh
- updated to 0.7.6, updated makefile patch

Revision 1.18  2005/02/27 19:19:04  qboosh
- updated to 0.7.5, updated makefile patch

Revision 1.17  2004/11/07 18:26:23  qboosh
- R: proper libebml, License is LGPL now

Revision 1.16  2004/11/07 14:55:05  troll
- updated to 0.7.4 (by Karol Krenski <charles(at)os.pl>)

Revision 1.15  2004/04/07 09:17:01  blues
- release 4

Revision 1.14  2004/03/12 12:12:27  pluto
- strict deps.

Revision 1.13  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.12  2004/01/20 21:40:07  grzegol
- added version_define patch (define MATROSKA_VERSION 2 to enable more features
  needed by mplayer)
- rel. 2

Revision 1.11  2004/01/20 20:55:28  undefine
- amd64 fixes

Revision 1.10  2004/01/20 17:35:06  grzegol
- updated to 0.6.3

Revision 1.9  2004/01/02 22:41:42  grzegol
- updated to 0.6.2

Revision 1.8  2003/11/04 21:09:38  qboosh
- updated to 0.6.2; -devel R: libebml-devel

Revision 1.7  2003/09/30 18:03:53  grzegol
- updated to 0.5.2

Revision 1.6  2003/09/02 13:47:16  djurban
- 0.5.0

Revision 1.5  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/07/09 07:47:42  qboosh
- clearer License

Revision 1.3  2003/07/08 20:43:15  qboosh
- better makefile patch (use libtool, it takes care of using fPIC etc.)
- simplified build

Revision 1.2  2003/07/04 10:29:05  qboosh
- some cleanups

Revision 1.1  2003/06/29 17:18:18  djurban
- mplayer revolution continues
- initial version 0.4.4
